(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/_types/global-event"), require("@kq_npm/client_common_vue/init.js"));
	else if(typeof define === 'function' && define.amd)
		define("@kq_npm/client3d_webgl_vue", ["vue", "@kq_npm/client_common_vue/_utils/gis-utils", "@kq_npm/client_common_vue/_utils/util", "@kq_npm/client_common_vue/_types/global-event", "@kq_npm/client_common_vue/init.js"], factory);
	else if(typeof exports === 'object')
		exports["@kq_npm/client3d_webgl_vue"] = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/_types/global-event"), require("@kq_npm/client_common_vue/init.js"));
	else
		root["@kq_npm/client3d_webgl_vue"] = factory(root["Vue"], root["@kq_npm/client_common_vue/_utils/gis-utils"], root["@kq_npm/client_common_vue/_utils/util"], root["@kq_npm/client_common_vue/_types/global-event"], root["@kq_npm/client_common_vue/init.js"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE__1895__, __WEBPACK_EXTERNAL_MODULE__7135__, __WEBPACK_EXTERNAL_MODULE__3458__, __WEBPACK_EXTERNAL_MODULE__3536__, __WEBPACK_EXTERNAL_MODULE__7997__) {
return /******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 2059:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ WindySlicingViewModel; }
/* harmony export */ });
class WindySlicingViewModel {
  _sceneView = null; //三维球场景视图对象
  _viewer = null;
  _layerManager = null;
  _options = null;
  _windySlicingDrawManager = null; //绘制管理对象
  _windySlicingRemoveEventListener = null; //绘制完成监听事件
  _windySlicingLayerconfig = null;
  _windySlicingPolylineHandler = null;
  _isDrawPolyline = false; // 是否线剖切
  _pointSlicingHtmlTag = null; // 点剖切
  _volumePrimitives = [];
  _volumePrimitive = null;
  _currentVolumeOption = null;
  _currentVolumePosition = null;
  callbackParams = null;
  volumelines = null;
  constructor(scenceView, options, callbackParams) {
    this._sceneView = scenceView;
    this._layerManager = scenceView._layerManager;
    this._viewer = scenceView._viewer;
    this._options = options || {};
    this._windySlicingDrawManager = this._sceneView._drawManager;
    this._viewer.scene.globe.showGroundAtmosphere = false;
    this._viewer.scene.screenSpaceCameraController.maximumZoomDistance = 20_000_000;
    this.callbackParams = callbackParams;
    var that = this;
    that._windySlicingRemoveEventListener = that._windySlicingDrawManager.drawFinishedEvent.addEventListener(shape => {
      if (shape && shape.type === "rectangle") {
        that.windySlicingRectangleSlicing(shape.bounds);
        this.callbackParams && this.callbackParams("showSlicingSetting", true)
      }
      that._windySlicingDrawManager.clear();
    });
    this._windySlicingPolylineHandler = new window.Cesium.ScreenSpaceEventHandler(this._viewer.canvas);
  }
  // 参数切换
  paramsChanged(key, val) {
    let that = this;
    if (!this._windySlicingLayerconfig) this.getWindySlicingLayer(this._windySlicingLayerconfig?.guid ?? '')
    switch (key) {
      case "mode":
        this.removeInputAction();
        this.removeVolumePrimitive();
        if (this._options.mode === "point") {
          this._windySlicingDrawManager.stopDraw();
          this.drawPolylineHandler();
        } else if (this._options.mode === "line") {
          this.drawPolylineHandler(function (newPositions) {
            that._isDrawPolyline = false;
            that.windySlicingPolylineSlicing(newPositions);
          });
          this._isDrawPolyline = true;
          this._windySlicingDrawManager.startDraw("polyline", { clampToGround: true });
        } else if (this._options.mode === "polygon") {
          this._windySlicingDrawManager.startDraw("rectangle", { clampToGround: true });
        } else if (this._options.mode === "clear") {
          this.clear();
        }
        break;
      case "slicingType":
        this.removeVolumePrimitive();
        if (this._options.slicingType == 1) {
          if (this._options.styleType == "1") {
            if (this._currentVolumePosition) this.windySlicingRectangleSlicing(this._currentVolumePosition);
          }
        } else {
          this.windyVoxelsSingleSlicing();
        }
        break;
      case "styleType":
        this.removeVolumePrimitive();
        if (this._options.styleType == "1") {
          if (this._currentVolumePosition) this.windySlicingRectangleSlicing(this._currentVolumePosition);
        } else {
          if (this._currentVolumePosition) {
            this.windySlicingSurfaceSection(this._currentVolumePosition, this._windySlicingLayerconfig);
          }
        }
        break;
      case "showAxis":
        if (this._volumePrimitive) this._volumePrimitive.showAxis(this._options[key]);
        break;
      case "enableLayering":
      case "enableLayerings":
        if (this._volumePrimitive) this.setEnableLayeringVisible();
        break;
      case "layerScale":
        if (this._volumePrimitive) this._volumePrimitive.scale = this._options[key];
        break;
      case "altitudeControl":
        this.removeVolumePrimitive();
        if (this._currentVolumePosition) {
          let layerConfig = JSON.parse(JSON.stringify(this._windySlicingLayerconfig));
          this.windySlicingSurfaceSection(this._currentVolumePosition, Object.assign(layerConfig, { zValues: val }));
        }
        break;
      case "destroy":
        this.destroy();
        break;
      default:
        break;
    }
  }
  // 分层显隐
  setEnableLayeringVisible() {
    let zValues = this._windySlicingLayerconfig?.zValues;
    let zVisibles = [];
    if (this._options?.enableLayering) {
      for (let i = 0; i < zValues.length; i++) {
        if (this._options?.enableLayerings?.includes(zValues[i])) {
          zVisibles.push(true);
        } else {
          zVisibles.push(false);
        }
      }
      this._volumePrimitive.updateVisibles(
        this._windySlicingLayerconfig.unit == 'hpa' ? zVisibles.reverse() : zVisibles
      );
    } else {
      for (let i = zValues.length; i > 0; i--) {
        zVisibles.push(false);
      }
      this._volumePrimitive.updateVisibles(zVisibles);
    }
  }
  /**
 * 获取或设置气象剖切图层配置
 * @param {string} [guid] 可选图层guid
 * @returns {Object|null} 图层配置对象或null
 */
  getWindySlicingLayer(guid) {
    // 参数校验：确保guid为有效字符串
    const isValidGuid = typeof guid === 'string' && guid.trim() !== '';

    // 获取图层配置逻辑
    this._windySlicingLayerconfig = isValidGuid
      ? this._layerManager.getLayerDataByGuid(guid) || null
      : this._layerManager._layerListData?.find(
        element => element?.addType === 'kqgisweatherserver'
      ) || null;

    // 可选：添加调试信息或错误处理
    if (!this._windySlicingLayerconfig) {
      console.warn('未找到匹配的气象剖切图层配置');
    }
    this._windySlicingLayerconfig.groups = this._layerManager._windyViewModel?._PRODUCT_CONFIG[this._windySlicingLayerconfig?.params?.productType]?.groups ?? [];
    this._windySlicingLayerconfig.colors = this._layerManager._windyViewModel?._PRODUCT_CONFIG[this._windySlicingLayerconfig?.params?.productType]?.colors ?? [];
    this._windySlicingLayerconfig.ranges = this._layerManager._windyViewModel?._PRODUCT_CONFIG[this._windySlicingLayerconfig?.params?.productType]?.ranges ?? [];
    this._windySlicingLayerconfig.unit = "m";
    if (this._windySlicingLayerconfig.groups.includes("AIR_PRESSURE")) {
      this._windySlicingLayerconfig.unit = "hpa";
    }
    this._windySlicingLayerconfig.zValues = this._windySlicingLayerconfig?.zValues ?? this._windySlicingLayerconfig?.params?.zValues ?? [];
    this.callbackParams && this.callbackParams("slicingLayerConfig", this._windySlicingLayerconfig)
    return this._windySlicingLayerconfig;
  }
  // 清除剖切分析实例
  removeVolumePrimitive() {
    if (this._volumePrimitive) {
      this._viewer.scene.primitives.remove(this._volumePrimitive);
      this._volumePrimitive = null;
    }
    if (this._volumePrimitive1) {
      this._viewer.scene.primitives.remove(this._volumePrimitive1);
      this._volumePrimitive1 = null;
    }
    if (this._volumePrimitive2) {
      this._viewer.scene.primitives.remove(this._volumePrimitive2);
      this._volumePrimitive2 = null;
    }
  }
  // 清除左右鼠标点击事件及弹框
  removeInputAction() {
    if (this._windySlicingPolylineHandler) {
      this._windySlicingPolylineHandler.removeInputAction(window.Cesium.ScreenSpaceEventType.LEFT_CLICK);
      this._windySlicingPolylineHandler.removeInputAction(window.Cesium.ScreenSpaceEventType.RIGHT_CLICK);
    }
    //清除
    if (this._pointSlicingHtmlTag) {
      this._pointSlicingHtmlTag.destroy()
    }
  }
  // 两点绘制线结果
  drawPolylineHandler(callback) {
    let that = this;
    let activeShapePoints = [];
    this._windySlicingPolylineHandler.setInputAction(function (event) {
      if (that._isDrawPolyline) {
        let earthPosition = that._viewer.scene.pickPosition(event.position);
        if (window.Cesium.defined(earthPosition)) {
          activeShapePoints.push(earthPosition);
          //单线分析结果显示
          if (activeShapePoints.length == 2) {
            that._windySlicingDrawManager.stopDraw();
            that.removeInputAction();
            var newPositions = [];
            activeShapePoints.forEach(position => {
              var newPosition = that._windySlicingDrawManager.transformPosition(position);
              newPositions.push({ x: newPosition[0], y: newPosition[1] });
            });
            if (callback) callback(newPositions);
          }
        }
      } else {
        let cartographic = that._viewer.scene.globe.ellipsoid.cartesianToCartographic(that._viewer.camera.pickEllipsoid(event.position, that._viewer.scene.globe.ellipsoid));
        that.getPointSlicingData(cartographic);
      }
    }, window.Cesium.ScreenSpaceEventType.LEFT_CLICK);
    if (!that._isDrawPolyline) {
      that._windySlicingPolylineHandler.setInputAction(function (event) {
        that.removeInputAction();
      }, window.Cesium.ScreenSpaceEventType.RIGHT_CLICK)
    }
  }
  /**
 * 获取点的气象数据
 * @param {string} [guid] cartographic拾取的点
 */
  getPointSlicingData(cartographic) {
    let that = this;
    let X = window.Cesium.Math.toDegrees(cartographic.longitude);
    let Y = window.Cesium.Math.toDegrees(cartographic.latitude);
    let unit = this._windySlicingLayerconfig.unit;
    let data = {
      "collectionName": that._windySlicingLayerconfig?.params?.layer,
      "point": {
        "x": X,
        "y": Y
      },
      "geoSRS": "EPSG:4326",
      type: 1
    }
    //清除
    if (this._pointSlicingHtmlTag) {
      this._pointSlicingHtmlTag.destroy()
    }
    let url = this._windySlicingLayerconfig?.url.replaceAll("/wmts", "").replace("/image", "/image/identify");
    const xhr = new XMLHttpRequest();
    xhr.open('POST', url);
    xhr.setRequestHeader('Content-Type', 'application/json');
    xhr.onload = function () {
      if (xhr.status >= 200 && xhr.status < 300) {
        const data = JSON.parse(xhr.responseText);
        if (data) {
          let val
          let getAllVal = data.result.RasterNameValue
          if (that._windySlicingLayerconfig?.params?.layer === 'wind_5' || that._windySlicingLayerconfig?.params?.layer === 'current_global_5') {
            let U = getAllVal[0].value //经度
            let V = getAllVal[1].value //维度
            let directVal = that.direction(U, V)
            let unitName = that._windySlicingLayerconfig?.params?.layer === 'wind_5' ? '风' : ''
            val = directVal.direct + unitName + '&nbsp;&nbsp;' + directVal.speed.toFixed(2)
          } else if (that._windySlicingLayerconfig?.params?.layer === 'hailang') {
            let hldirectVal = that.direction(null, null, getAllVal[4].value) //波浪平均方向
            let period = Number(getAllVal[2].value).toFixed() // 海洋表面温湿度平均周期  
            let alt = Number(getAllVal[0].value).toFixed() //风浪高度  
            val = hldirectVal.direct + '&nbsp;&nbsp;' + '周期' + '&nbsp;&nbsp;' + period + 's' + '&nbsp;&nbsp;&nbsp;&nbsp;' + alt
          } else {
            val = Number(getAllVal[0].value)
          }
          let value = val + '&nbsp;&nbsp;' + unit
          that.setWindySlicingPointData(value, cartographic) //显示拾取数据
        }
      } else {
        console.error('Request error:', xhr.statusText);
      }
    };
    xhr.onerror = function () {
      console.error('Request error!');
    };
    xhr.send(JSON.stringify(data));
  }
  /**
   * 展现气象服务点数据
   * @param {*} val 数值
   * @param {*} position 坐标
   */
  setWindySlicingPointData(val, position) {
    let myposition = window.Cesium.Cartesian3.fromRadians(
      position.longitude,
      position.latitude,
      position.height
    );
    let html = `<div class="pickClass" style="">
                        <div style="display: block;position: absolute;left: 0px;right: 0;width: 2px;height: 140px;background: rgba(68,65,65,.84)">
                            <span style="background:rgba(68,65,65,.84);padding:5px 18px;text-align: center;line-height: 1.9;color: #fff;border-top-right-radius: 20px;border-bottom-right-radius: 20px;white-space: nowrap;cursor: move;display: inline-block;">${val}</span>
                        </div>
                    </div>`;
    // 点标注
    this._pointSlicingHtmlTag = new window.Cesium.Kq3dHtmlTag(this._viewer, {
      html: html,
      position: myposition, // 获取到的位置
      anchor: [0, -140], // 设置标注的偏移量
      noEvent: false,
    });
  }
  // 重构剖切参数
  getSlicingParams(position, params) {
    this._currentVolumePosition = position;
    if (!this._windySlicingLayerconfig) return;
    let colors = this._windySlicingLayerconfig?.colors ?? [];
    let ranges = this._windySlicingLayerconfig?.ranges ?? [];
    let img = colors && this.generateImage(colors);
    if (!img) return;
    this._currentVolumeOption = {
      viewer: this._viewer,
      url: this._windySlicingLayerconfig.url.replaceAll("/wmts", ""),
      collectionName: this._windySlicingLayerconfig?.params?.layer,
      image: img,
      // 高度偏移
      offset: 10000,
      // 高度放大比例
      scale: this._windySlicingLayerconfig.unit == 'hpa' ? 18 : 300,
      unit: this._windySlicingLayerconfig.unit,
      attrRange: [ranges[0], ranges[ranges.length - 1]],
      varName: this._windySlicingLayerconfig?.params?.varNames,
    };
    Object.assign(this._currentVolumeOption, params || {})
    return new Cesium.Kq3dGridVolumeProvider(this._currentVolumeOption);
  }
  /**
   * 创建线剖切
   * @param {Object} polyline 绘制的线坐标数据
   */
  windySlicingPolylineSlicing(polyline) {
    this._volumePrimitive = this.getSlicingParams(polyline)
    let that = this;
    if (!this._volumePrimitive || !this._volumePrimitive.readyPromise) return;
    this._volumePrimitive.readyPromise.then(() => {
      that._volumePrimitive.showSection(polyline);
    })
    this.setViewEntity(calculateBoundingBox(polyline));
    // 核心计算方法
    function calculateBoundingBox(points) {
      // 初始化边界值
      let minX = Infinity, maxX = -Infinity;
      let minY = Infinity, maxY = -Infinity;

      // 遍历所有坐标点
      for (const point of points) {
        minX = Math.min(minX, point.x);
        maxX = Math.max(maxX, point.x);
        minY = Math.min(minY, point.y);
        maxY = Math.max(maxY, point.y);
      }
      return {
        minX: minX,  // 西经（最小经度）
        maxX: maxX,  // 东经（最大经度）
        minY: minY, // 南纬（最小纬度）
        maxY: maxY  // 北纬（最大纬度）
      };
    }
  }
  /**
   * 面剖切-面分层
   * @param {Object} rect 矩形四至
   */
  windySlicingRectangleSlicing(rect) {
    this._volumePrimitive = this.getSlicingParams(rect);
    let that = this;
    if (!this._volumePrimitive || !this._volumePrimitive.readyPromise) return;
    this._volumePrimitive.readyPromise.then(() => {
      that._volumePrimitive.showSections(rect);
    })
    this.setViewEntity(rect);
  }
  /**
   * 面剖切-面剖
   * @param {Object} rect 矩形四至
   */
  windySlicingSurfaceSection(rect, data) {
    let options = {};
    let zValues = JSON.parse(JSON.stringify(data.zValues));
    if (!zValues || zValues?.length == 0) {
      zValues = JSON.parse(JSON.stringify(data.ranges));
    }
    let index = zValues.length - 1;
    if (data.unit != 'hpa') {
      // options.isReverse = true;
      index = 0;
      zValues = zValues.sort((a, b) => a - b);
    } else {
      zValues = zValues.sort((a, b) => b - a);
    }
    options.zValues = zValues;
    options.showAxis = true;
    this._volumePrimitive = this.getSlicingParams(rect, options);
    let that = this;
    if (!this._volumePrimitive || !this._volumePrimitive.readyPromise) return;
    this._volumePrimitive.readyPromise.then(() => {
      if (typeof index != 'undefined') {
        that._volumePrimitive.showPolygonSection(rect, index);
      } else {
        that._volumePrimitive.showPolygonSection(rect);
      }
    })
    let options1 = JSON.parse(JSON.stringify(options));
    this.volumelines = this.createXYVolume(this.getRectangle(rect));
    options1.showAxis = false;
    this._volumePrimitive1 = this.getSlicingParams(rect, options1);
    if (!this._volumePrimitive1 || !this._volumePrimitive1.readyPromise) return;
    this._volumePrimitive1.readyPromise.then(() => {
      that._volumePrimitive1.showSection(that.volumelines?.volumeLine1);
    })
    this._volumePrimitive2 = this.getSlicingParams(rect, options1);
    if (!this._volumePrimitive2 || !this._volumePrimitive2.readyPromise) return;
    this._volumePrimitive2.readyPromise.then(() => {
      that._volumePrimitive2.showSection(that.volumelines?.volumeLine2);
    })
    this.setViewEntity(rect);
  }
  getRectangle(rect) {
    if (typeof rect == 'string') {
      rect = JSON.parse(rect);
    }
    let rectangle = new Cesium.Rectangle(
      Cesium.Math.toRadians(rect.minX),
      Cesium.Math.toRadians(rect.minY),
      Cesium.Math.toRadians(rect.maxX),
      Cesium.Math.toRadians(rect.maxY),
    );
    return rectangle
  }
  createXYVolume(rectangle) {
    // 获取矩形的四个角点
    var southwest = Cesium.Rectangle.southwest(rectangle);// 西南角经纬度
    var northwest = Cesium.Rectangle.northwest(rectangle);// 西北角经纬度
    var northeast = Cesium.Rectangle.northeast(rectangle);// 东北角经纬度
    var southeast = Cesium.Rectangle.southeast(rectangle);// 东南角经纬度
    let line1 = []
    let line2 = []
    let line3 = []
    let line4 = []
    // 上线
    line1.push({
      longitude: northeast.longitude / Math.PI * 180,
      latitude: northeast.latitude / Math.PI * 180
    })
    line1.push({
      longitude: northwest.longitude / Math.PI * 180,
      latitude: northwest.latitude / Math.PI * 180
    })

    // 下线
    line2.push({
      longitude: southeast.longitude / Math.PI * 180,
      latitude: southeast.latitude / Math.PI * 180
    })
    line2.push({
      longitude: southwest.longitude / Math.PI * 180,
      latitude: southwest.latitude / Math.PI * 180
    })
    // 左线
    line3.push({
      longitude: northeast.longitude / Math.PI * 180,
      latitude: northeast.latitude / Math.PI * 180
    })
    line3.push({
      longitude: southeast.longitude / Math.PI * 180,
      latitude: southeast.latitude / Math.PI * 180
    })
    // 右线
    line4.push({
      longitude: northwest.longitude / Math.PI * 180,
      latitude: northwest.latitude / Math.PI * 180
    })
    line4.push({
      longitude: southwest.longitude / Math.PI * 180,
      latitude: southwest.latitude / Math.PI * 180
    })
    let volumeLine1 = [], volumeLine2 = [];
    volumeLine1.push(this.getLineCenter(line1[0], line1[1]));
    volumeLine1.push(this.getLineCenter(line2[0], line2[1]));
    volumeLine2.push(this.getLineCenter(line3[0], line3[1]));
    volumeLine2.push(this.getLineCenter(line4[0], line4[1]));
    return {
      line1,
      line2,
      line3,
      line4,
      volumeLine1,
      volumeLine2
    }
  }
  // 获取线段中心点
  getLineCenter(startPoint, endPoint) {
    startPoint = Cesium.Cartesian3.fromDegrees(startPoint.longitude, startPoint.latitude)
    endPoint = Cesium.Cartesian3.fromDegrees(endPoint.longitude, endPoint.latitude)
    // 计算线段中心点
    let centerPoint = Cesium.Cartesian3.add(startPoint, endPoint, new Cesium.Cartesian3());
    centerPoint = Cesium.Cartesian3.divideByScalar(centerPoint, 2.0, new Cesium.Cartesian3());

    // 将中心点转换为经纬度
    let centerPointCartographic = Cesium.Cartographic.fromCartesian(centerPoint);
    let centerPointLatLon = {
      y: Cesium.Math.toDegrees(centerPointCartographic.latitude),
      x: Cesium.Math.toDegrees(centerPointCartographic.longitude)
    };
    return centerPointLatLon;
  }

  // 体剖切
  windyVoxelsSingleSlicing() {
    if (!Cesium.Kq3dGridVoxelsSingleProviderExt) {
      console.log("Kq3dGridVoxelsSingleProviderExt class cannot be empty");
      return;
    }
    if (this._currentVolumeOption && this._currentVolumePosition) {
      this._volumePrimitive = new Cesium.Kq3dGridVoxelsSingleProviderExt(this._currentVolumeOption);
      let that = this;
      if (!this._volumePrimitive || !this._volumePrimitive.readyPromise) return;
      this._volumePrimitive.readyPromise.then(() => {
        that._volumePrimitive.showVoxels(that._currentVolumePosition);
      })
    }
  }
  // 设置entity视角缩放
  setViewEntity(rect) {
    var rectangle = new Cesium.Rectangle(
      Cesium.Math.toRadians(rect.minX),
      Cesium.Math.toRadians(rect.minY),
      Cesium.Math.toRadians(rect.maxX),
      Cesium.Math.toRadians(rect.maxY),
    );
    let entity = this._viewer.entities.add({
      name: 'Blue translucent, rotated, and extruded ellipse with outline',
      rectangle: {
        coordinates: rectangle,
        material: Cesium.Color.RED.withAlpha(0)
      }
    });
    this._viewer.flyTo(entity, {
      duration: 1,
      offset: {
        heading: Cesium.Math.toRadians(-30),
        pitch: Cesium.Math.toRadians(-30),
        range: 1100000
      }
    });
    setTimeout(() => {
      this._viewer.entities.remove(entity);
    }, 1000);
  }
  // 根据颜色表生成图片
  generateImage(colors) {
    var canvas = document.createElement('canvas');
    var context = canvas.getContext('2d');
    // 设置画布大小为500x300像素
    canvas.width = 434;
    canvas.height = 27;
    // 计算每个颜色所占据的区域大小
    var scale = 1 / (colors.length - 1);
    // 创建一个线性渐变
    const gradient = context.createLinearGradient(0, 0, canvas.width, canvas.height);
    gradient.addColorStop(0, colors[0]); // 渐变开始的颜色
    // 绘制颜色条形
    for (let i = 1; i < colors.length; i++) {
      gradient.addColorStop(i * scale, colors[i]);
    }
    // 填充渐变
    context.fillStyle = gradient;
    context.fillRect(0, 0, canvas.width, canvas.height);
    var imageDataUrl = canvas.toDataURL('image/png');
    return imageDataUrl;
  }

  //清除
  clear() {
    this.removeVolumePrimitive();
    this.removeInputAction();
    this._isDrawPolyline = false;
    this._windySlicingDrawManager.stopDraw();
    this._windySlicingDrawManager.clear();
    this._currentVolumePosition = null;
    this._currentVolumeOption = null;
    this.volumelines = null;
  }
  //销毁
  destroy() {
    this.clear();
    if (this._options) this._options = {};
    if (this._windySlicingRemoveEventListener) {
      //移除监听事件
      this._windySlicingRemoveEventListener && this._windySlicingRemoveEventListener();
      this._windySlicingRemoveEventListener = null;
    }
    this._viewer.scene.globe.showGroundAtmosphere = true;
    this._viewer.scene.screenSpaceCameraController.maximumZoomDistance = Number.POSITIVE_INFINITY;
  }
}


/***/ }),

/***/ 348:
/***/ (function(module) {

module.exports = require("@kq_npm/client_icons_vue");

/***/ }),

/***/ 7080:
/***/ (function(module) {

module.exports = require("vue-i18n/dist/vue-i18n.cjs.js");

/***/ }),

/***/ 3536:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__3536__;

/***/ }),

/***/ 7135:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7135__;

/***/ }),

/***/ 3458:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__3458__;

/***/ }),

/***/ 7997:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7997__;

/***/ }),

/***/ 1895:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__1895__;

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "WindySlicingViewModel": function() { return /* reexport */ WindySlicingViewModel/* default */.Z; },
  "default": function() { return /* reexport */ WindySlicing; }
});

// EXTERNAL MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_ = __webpack_require__(1895);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/gis-utils"
var gis_utils_ = __webpack_require__(7135);
// EXTERNAL MODULE: external "@kq_npm/client_icons_vue"
var client_icons_vue_ = __webpack_require__(348);
// EXTERNAL MODULE: ./src/webgl/windyslicing/WindySlicingViewModel.js
var WindySlicingViewModel = __webpack_require__(2059);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/util"
var util_ = __webpack_require__(3458);
// EXTERNAL MODULE: external "vue-i18n/dist/vue-i18n.cjs.js"
var vue_i18n_cjs_js_ = __webpack_require__(7080);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_types/global-event"
var global_event_ = __webpack_require__(3536);
var global_event_default = /*#__PURE__*/__webpack_require__.n(global_event_);
;// CONCATENATED MODULE: ./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/windyslicing/WindySlicing.vue?vue&type=script&setup=true&lang=js


const _hoisted_1 = { class: "kq3d-windy-slicing-box" }

;







const __default__ = {
  name: "Kq3dWindySlicing"
};

/* harmony default export */ var WindySlicingvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
  mapTarget: String,
  // 设置参数
  settingParams: { type: Object },
  // 是否显示阴影效果
  showShadow: {
    type: Boolean,
    default: true
  },
  /**
   * 例："center","topLeft","topRight","bottomLeft","bottomRight", "topCenter", "bottomCenter" {top:'16px',left:'16px'}, {top:16,left:16}
   */
  position: [String, Object],
  // 是否生成HeaderTemp
  showHeaderTemp: {
    type: Boolean,
    default: false
  },
  // 是否折叠HeaderTemp，showHeaderTemp为true时生效
  isCollapseHeaderTemp: {
    type: Boolean,
    default: false
  },
  // HeaderTemp标题
  headerTempTitle: {
    type: String
  },
  // HeaderTemp图标
  headerTempIcon: {
    type: [Object, String],
    default: client_icons_vue_.IconWindySlicing
  },
  // HeaderTemp Title&Icon的位置
  isRight: {
    type: Boolean,
    default: true
  },
  show: {
    type: Boolean,
    default: true
  }
},
  setup(__props, { expose: __expose }) {

const props = __props;

const { proxy } = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.getCurrentInstance)();
// 获取组件传参

let currentLang = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("");
let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(proxy.$i18n.global.messages[proxy.$i18n.global.locale]["webgl"]);
let enableLayerings = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)([]);
let unit = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("m");
let showSlicingSetting = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
let showWindySlicing = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(props.show);

let formItem = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.reactive)({
  collapseValue: props.settingParams?.collapseValue ?? "setting",
  mode: props.settingParams?.mode ?? "", // 绘制类型
  slicingType: props.settingParams?.slicingType ?? 1, // 显示方式，1为三维面，3为三维体
  showAxis: props.settingParams?.showAxis ?? true, // 经纬网显示
  styleType: props.settingParams?.styleType ?? "1", // 剖切样式
  enableLayering: props.settingParams?.enableLayering ?? true, // 分层显示
  enableLayerings: props.settingParams?.enableLayerings ?? [], // 分层数据选中
  layerScale: props.settingParams?.layerScale ?? 300, // 分层缩放
  maxLayerScale: props.settingParams?.maxLayerScale ?? 300, // 分层缩放最大值
  altitudeControl: props.settingParams?.altitudeControl ?? 50, // 高度控制
  maxAltitudeControl: props.settingParams?.maxAltitudeControl ?? 100, // 高度控制
  enableLongSection: props.settingParams?.enableLongSection ?? true, // 是否启动经度剖面
  longSectionValue: props.settingParams?.longSectionValue ?? 50, // 经度剖面值
  longSectionValueStep: 1,
  longSectionValueMin: 1,
  longSectionValueMax: 10,
  enableLatSection: props.settingParams?.enableLatSection ?? true, // 是否启动纬度剖面
  latSectionValue: props.settingParams?.latSectionValue ?? 50, // 纬度剖面值
  latSectionValueStep: 1,
  latSectionValueMin: 1,
  latSectionValueMax: 10,
  enableHeightSection: props.settingParams?.enableHeightSection ?? true, // 高度剖面
  heightSectionValueMax: 10, //高度剖面最大值
  heightSectionValue: props.settingParams?.heightSectionValue ?? 50, // 等值面高度
  bodyDissectionAxis: props.settingParams?.bodyDissectionAxis ?? true, // 体剖切刻度线
  bodyDissectionAlpha: props.settingParams?.bodyDissectionAlpha ?? 1 //体剖切透明度
});
// 创建深度复制
let formItemDef = JSON.parse(JSON.stringify(formItem));
delete formItemDef.collapseValue;

let viewModel = null;
// 组件容器Ref
let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
// 生成组件默认header
let headerTemp = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
let headerTempRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();

// 国际化
let { locale, messages } = (0,vue_i18n_cjs_js_.useI18n)();
let headerTempTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
headerTempTitle.value = language.value.windySlicingAnalysisTitle;
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
  () => locale.value,
  (newVal, oldVal) => {
    language.value = messages.value[newVal]["webgl"];
    headerTempTitle.value = language.value.windySlicingAnalysisTitle;
  }
);
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
  (0,util_.updatePosition)(boxRef.value, props);
  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
    () => props.position,
    (newVal, oldVal) => {
      (0,util_.updatePosition)(boxRef.value, props);
    }
  );

  watchCreateHeaderTemp();
  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
    () => props.showHeaderTemp,
    (newVal, oldVal) => {
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
        watchCreateHeaderTemp();
      });
    }
  );

  currentLang.value = proxy.$i18n.locale; // 获取当前语言
  gis_utils_.utils.getWebMap(props.mapTarget, scenceView => {
    if (scenceView) {
      viewModel = new WindySlicingViewModel/* default */.Z(scenceView, formItem, callbackParams);
    }
  });
  setTimeout(() => {
    global_event_default().on("windyTypeChange", handleWindyTypeChange);
  }, 100);
});
/**
 * @description 监听header生成
 */
const watchCreateHeaderTemp = () => {
  if (props.showHeaderTemp) {
    // 生成headerTemp
    headerTemp.value = (0,util_.createHeaderTemp)(boxRef.value, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toRefs)(props), headerTempRef, headerTempTitle);
  }
};
/**
 * @description 当前气象图层类型变化
 * @param {Object} data 气象类型{windyType：WIND}
 */
const handleWindyTypeChange = data => {
  clear();
  Object.assign(formItem, formItemDef);
  if (data?.windyType == "exit") {
    showWindySlicing.value = false;
    return;
  }
  showWindySlicing.value = true;
  viewModel && viewModel.getWindySlicingLayer(data?.guid ?? "");
};
function callbackParams(key, val) {
  console.log(val);
  switch (key) {
    case "showSlicingSetting":
      showSlicingSetting.value = val;
      break;
    case "slicingLayerConfig":
      if (!Array.isArray(val.zValues) || val.zValues.length === 0) {
        showWindySlicing.value = false;
      } else {
        showWindySlicing.value = true;
        enableLayerings.value = val.zValues;
        formItem.enableLayerings = val.zValues;
        viewModel._options["enableLayerings"] = val.zValues;
        formItem.altitudeControl = val.zValues.length;
        formItem.maxAltitudeControl = val.zValues.length;
      }
      unit.value = val.unit;
      break;
    default:
      break;
  }
}
//切换类型
function changeMode(mode) {
  if (!viewModel) return;
  if (formItem.mode !== mode) {
    showSlicingSetting.value = false;
    formItem.mode = mode;
    viewModel._options.mode = formItem.mode;
    viewModel && viewModel.paramsChanged("mode");
    if(mode == "delete"){
      Object.assign(formItem, formItemDef);
    }
  }
}
function paramsChanged(key) {
  if (!viewModel) return;
  viewModel._options[key] = formItem[key];
  // 处理 slicingType 的特殊逻辑
  let defaultValues = null;
  switch (key) {
    case "slicingType":
      const VALID_SLICING_TYPES = { 1: "1", 3: "3" };
      const newStyleType = VALID_SLICING_TYPES[formItem.slicingType];
      if (newStyleType) {
        viewModel._options.styleType = formItem.styleType = newStyleType;
      }
      break;
    case "altitudeControl":
      let gdzValues = enableLayerings.value.slice(0, formItem.altitudeControl);
      formItem.heightSectionValueMax = gdzValues.length;
      defaultValues = gdzValues;
      if(!viewModel?.volumelines) return;
      let jdValue = Math.abs(viewModel?.volumelines.line1[0].longitude - viewModel?.volumelines.line1[1].longitude);
      jdValue = jdValue.toFixed(3);
      formItem.longSectionValueStep = jdValue / 100;
      formItem.longSectionValueMin = -(jdValue / 2);
      formItem.longSectionValueMax = jdValue / 2;
      formItem.longSectionValue = 0;
      let wdValue = Math.abs(viewModel?.volumelines.line4[0].latitude - viewModel?.volumelines.line4[1].latitude);
      wdValue = wdValue.toFixed(3);
      formItem.latSectionValueStep = wdValue / 100;
      formItem.latSectionValueMin = -(wdValue / 2);
      formItem.latSectionValueMax = wdValue / 2;
      formItem.latSectionValue = 0;
      break;
    default:
      break;
  }
  viewModel.paramsChanged?.(key,defaultValues); // 使用可选链调用方法
}
function clear() {
  showSlicingSetting.value = false;
  viewModel && viewModel.clear();
}
// 显示提示信息
function formatTooltip(val) {
  return enableLayerings.value[val - 1] + unit.value;
}
// 销毁
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {
  global_event_default().off("windyTypeChange", handleWindyTypeChange);
  viewModel && viewModel.destroy();
});

__expose({
  changeMode,
  paramsChanged,
  clear
});

return (_ctx, _cache) => {
  const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-button")
  const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-row")
  const _component_kq_radio_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-radio-button")
  const _component_kq_radio_group = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-radio-group")
  const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form-item")
  const _component_kq_switch = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-switch")
  const _component_kq_slider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-slider")
  const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-col")
  const _component_kq_input_number = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-input-number")
  const _component_kq_option = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-option")
  const _component_kq_select = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-select")
  const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form")
  const _component_kq_collapse_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse-item")
  const _component_kq_collapse = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse")

  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)(((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("section", {
    class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["kq3d-windy-slicing", { 'kq-box-shadow': __props.showShadow }]),
    ref_key: "boxRef",
    ref: boxRef
  }, [
    (__props.showHeaderTemp)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveDynamicComponent)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(headerTemp)), {
          key: 0,
          ref_key: "headerTempRef",
          ref: headerTempRef
        }, null, 512 /* NEED_PATCH */))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_1, [
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
        gutter: 20,
        class: "rowclass"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
            icon: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(client_icons_vue_.IconLocation),
            class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(['kq3d-windy-slicing-btn', (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).mode === 'point' ? 'kq3d-windy-slicing-btn_active' : '']),
            onClick: _cache[0] || (_cache[0] = $event => (changeMode('point'))),
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).pointSlicing
          }, null, 8 /* PROPS */, ["icon", "class", "title"]),
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
            icon: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(client_icons_vue_.IconLine),
            class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(['kq3d-windy-slicing-btn', (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).mode === 'line' ? 'kq3d-windy-slicing-btn_active' : '']),
            onClick: _cache[1] || (_cache[1] = $event => (changeMode('line'))),
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).lineSlicing
          }, null, 8 /* PROPS */, ["icon", "class", "title"]),
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
            icon: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(client_icons_vue_.IconPolygon),
            class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(['kq3d-windy-slicing-btn', (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).mode === 'polygon' ? 'kq3d-windy-slicing-btn_active' : '']),
            onClick: _cache[2] || (_cache[2] = $event => (changeMode('polygon'))),
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).polygonSlicing
          }, null, 8 /* PROPS */, ["icon", "class", "title"]),
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
            icon: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(client_icons_vue_.IconPlottingDelete),
            class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(['kq3d-windy-slicing-btn', (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).mode === 'delete' ? 'kq3d-windy-slicing-btn_active' : '']),
            onClick: _cache[3] || (_cache[3] = $event => (changeMode('delete'))),
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clear
          }, null, 8 /* PROPS */, ["icon", "class", "title"])
        ]),
        _: 1 /* STABLE */
      }),
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "kq3d-windy-slicing-tip" }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("p", {
            style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showSlicingSetting) ? 'margin-bottom:16px' : '')
          }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).windySlicingTips), 5 /* TEXT, STYLE */)
        ]),
        _: 1 /* STABLE */
      }),
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse, {
        "model-value": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).collapseValue,
        class: "kq3d-windy-slicing-collapse"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse_item, {
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).analysisSettings,
            name: "setting"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, {
                "label-width": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(currentLang) === 'zh' ? '110px' : '160px',
                "label-position": "left"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).slicingType
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_group, {
                                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).slicingType,
                                "onUpdate:modelValue": _cache[4] || (_cache[4] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).slicingType) = $event)),
                                onChange: _cache[5] || (_cache[5] = $event => (paramsChanged('slicingType')))
                              }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_button, { label: 1 }, {
                                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).threeDimensionalSurface), 1 /* TEXT */)
                                    ]),
                                    _: 1 /* STABLE */
                                  }),
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_button, { label: 3 }, {
                                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).threeDimensional), 1 /* TEXT */)
                                    ]),
                                    _: 1 /* STABLE */
                                  })
                                ]),
                                _: 1 /* STABLE */
                              }, 8 /* PROPS */, ["modelValue"])
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).slicingStyle
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_group, {
                            modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).styleType,
                            "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).styleType) = $event)),
                            onChange: _cache[7] || (_cache[7] = $event => (paramsChanged('styleType')))
                          }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_button, { label: "1" }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).surfaceStratification), 1 /* TEXT */)
                                ]),
                                _: 1 /* STABLE */
                              }, 512 /* NEED_PATCH */), [
                                [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).slicingType == 1]
                              ]),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_button, { label: "2" }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).surfaceSection), 1 /* TEXT */)
                                ]),
                                _: 1 /* STABLE */
                              }, 512 /* NEED_PATCH */), [
                                [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).slicingType == 1]
                              ]),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_radio_button, { label: "3" }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).bodyDissection), 1 /* TEXT */)
                                ]),
                                _: 1 /* STABLE */
                              }, 512 /* NEED_PATCH */), [
                                [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).slicingType == 3]
                              ])
                            ]),
                            _: 1 /* STABLE */
                          }, 8 /* PROPS */, ["modelValue"])
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 面分层设置 "),
                  ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).styleType === '1')
                    ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, { key: 0 }, [
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printlatlng
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_switch, {
                                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).showAxis,
                                  "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).showAxis) = $event)),
                                  onChange: _cache[9] || (_cache[9] = $event => (paramsChanged('showAxis')))
                                }, null, 8 /* PROPS */, ["modelValue"])
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
                          class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayering ? 'rowclass' : '')
                        }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).layering
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_switch, {
                                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayering,
                                  "onUpdate:modelValue": _cache[10] || (_cache[10] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayering) = $event)),
                                  onChange: _cache[11] || (_cache[11] = $event => (paramsChanged('enableLayering')))
                                }, null, 8 /* PROPS */, ["modelValue"])
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }, 8 /* PROPS */, ["class"]),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).hierarchicalScaling
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 17 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).layerScale,
                                          "onUpdate:modelValue": _cache[12] || (_cache[12] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).layerScale) = $event)),
                                          "show-tooltip": false,
                                          step: 1,
                                          min: 0,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxLayerScale,
                                          onChange: _cache[13] || (_cache[13] = $event => (paramsChanged('layerScale')))
                                        }, null, 8 /* PROPS */, ["modelValue", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 7 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).layerScale,
                                          "onUpdate:modelValue": _cache[14] || (_cache[14] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).layerScale) = $event)),
                                          min: 0,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxLayerScale,
                                          step: 1,
                                          "controls-position": "right",
                                          onChange: _cache[15] || (_cache[15] = $event => (paramsChanged('layerScale')))
                                        }, null, 8 /* PROPS */, ["modelValue", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }, 512 /* NEED_PATCH */), [
                          [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayering]
                        ]),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).stratifiedSelection
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayerings,
                                      "onUpdate:modelValue": _cache[16] || (_cache[16] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayerings) = $event)),
                                      multiple: "",
                                      "collapse-tags": "",
                                      placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).pleaseselect,
                                      onChange: _cache[17] || (_cache[17] = $event => (paramsChanged('enableLayerings')))
                                    }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(enableLayerings), (item) => {
                                          return ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_option, {
                                            key: item,
                                            label: item + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(unit),
                                            value: item
                                          }, null, 8 /* PROPS */, ["label", "value"]))
                                        }), 128 /* KEYED_FRAGMENT */))
                                      ]),
                                      _: 1 /* STABLE */
                                    }, 8 /* PROPS */, ["modelValue", "placeholder"])
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }, 512 /* NEED_PATCH */), [
                          [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLayering]
                        ])
                      ], 64 /* STABLE_FRAGMENT */))
                    : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 面剖设置 "),
                  ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).styleType === '2')
                    ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, { key: 1 }, [
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).altitudeControl
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 17 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).altitudeControl,
                                          "onUpdate:modelValue": _cache[18] || (_cache[18] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).altitudeControl) = $event)),
                                          step: 1,
                                          min: 1,
                                          "format-tooltip": formatTooltip,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxAltitudeControl,
                                          onChange: _cache[19] || (_cache[19] = $event => (paramsChanged('altitudeControl')))
                                        }, null, 8 /* PROPS */, ["modelValue", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 7 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).altitudeControl,
                                          "onUpdate:modelValue": _cache[20] || (_cache[20] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).altitudeControl) = $event)),
                                          min: 1,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxAltitudeControl,
                                          step: 1,
                                          "controls-position": "right",
                                          onChange: _cache[21] || (_cache[21] = $event => (paramsChanged('altitudeControl')))
                                        }, null, 8 /* PROPS */, ["modelValue", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).longSection
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_switch, {
                                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLongSection,
                                  "onUpdate:modelValue": _cache[22] || (_cache[22] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLongSection) = $event))
                                }, null, 8 /* PROPS */, ["modelValue"])
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).longSection + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).value
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 17 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValue,
                                          "onUpdate:modelValue": _cache[23] || (_cache[23] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValue) = $event)),
                                          "show-tooltip": false,
                                          step: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValueStep,
                                          min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValueMin,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValueMax,
                                          onChange: _cache[24] || (_cache[24] = $event => (paramsChanged('longSectionValue')))
                                        }, null, 8 /* PROPS */, ["modelValue", "step", "min", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 7 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValue,
                                          "onUpdate:modelValue": _cache[25] || (_cache[25] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValue) = $event)),
                                          step: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValueStep,
                                          min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValueMin,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).longSectionValueMax,
                                          "controls-position": "right",
                                          onChange: _cache[26] || (_cache[26] = $event => (paramsChanged('longSectionValue')))
                                        }, null, 8 /* PROPS */, ["modelValue", "step", "min", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).latSection
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_switch, {
                                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLatSection,
                                  "onUpdate:modelValue": _cache[27] || (_cache[27] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableLatSection) = $event))
                                }, null, 8 /* PROPS */, ["modelValue"])
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).latSection + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).value
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 17 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValue,
                                          "onUpdate:modelValue": _cache[28] || (_cache[28] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValue) = $event)),
                                          "show-tooltip": false,
                                          step: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValueStep,
                                          min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValueMin,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValueMax,
                                          onChange: _cache[29] || (_cache[29] = $event => (paramsChanged('latSectionValue')))
                                        }, null, 8 /* PROPS */, ["modelValue", "step", "min", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 7 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValue,
                                          "onUpdate:modelValue": _cache[30] || (_cache[30] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValue) = $event)),
                                          step: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValueStep,
                                          min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValueMin,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).latSectionValueMax,
                                          "controls-position": "right",
                                          onChange: _cache[31] || (_cache[31] = $event => (paramsChanged('latSectionValue')))
                                        }, null, 8 /* PROPS */, ["modelValue", "step", "min", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).heightSection
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_switch, {
                                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableHeightSection,
                                  "onUpdate:modelValue": _cache[32] || (_cache[32] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).enableHeightSection) = $event))
                                }, null, 8 /* PROPS */, ["modelValue"])
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).heightSection + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).value
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 17 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).heightSectionValue,
                                          "onUpdate:modelValue": _cache[33] || (_cache[33] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).heightSectionValue) = $event)),
                                          "show-tooltip": false,
                                          step: 1,
                                          min: 0,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).heightSectionValueMax,
                                          onChange: _cache[34] || (_cache[34] = $event => (paramsChanged('heightSectionValue')))
                                        }, null, 8 /* PROPS */, ["modelValue", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 7 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).heightSectionValue,
                                          "onUpdate:modelValue": _cache[35] || (_cache[35] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).heightSectionValue) = $event)),
                                          step: 1,
                                          min: 0,
                                          max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).heightSectionValueMax,
                                          "controls-position": "right",
                                          onChange: _cache[36] || (_cache[36] = $event => (paramsChanged('heightSectionValue')))
                                        }, null, 8 /* PROPS */, ["modelValue", "max"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        })
                      ], 64 /* STABLE_FRAGMENT */))
                    : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 体剖切设置 "),
                  ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).slicingType === 3)
                    ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, { key: 2 }, [
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printlatlng
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_switch, {
                                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAxis,
                                  "onUpdate:modelValue": _cache[37] || (_cache[37] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAxis) = $event)),
                                  onChange: _cache[38] || (_cache[38] = $event => (paramsChanged('bodyDissectionAxis')))
                                }, null, 8 /* PROPS */, ["modelValue"])
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).floodAlpha
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[39] || (_cache[39] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          step: 0.01,
                                          min: 0,
                                          max: 1,
                                          onChange: _cache[40] || (_cache[40] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue", "step"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[41] || (_cache[41] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          min: 0,
                                          max: 1,
                                          step: 0.01,
                                          "controls-position": "right",
                                          onChange: _cache[42] || (_cache[42] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue", "step"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).longitude + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).direction + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clip
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[43] || (_cache[43] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          step: 1,
                                          min: 0,
                                          max: 1000,
                                          onChange: _cache[44] || (_cache[44] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[45] || (_cache[45] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          min: 0,
                                          max: 1000,
                                          step: 1,
                                          "controls-position": "right",
                                          onChange: _cache[46] || (_cache[46] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "rowclass" }, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).latitude + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).direction + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clip
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[47] || (_cache[47] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          step: 1,
                                          min: 0,
                                          max: 1000,
                                          onChange: _cache[48] || (_cache[48] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[49] || (_cache[49] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          min: 0,
                                          max: 1000,
                                          step: 1,
                                          "controls-position": "right",
                                          onChange: _cache[50] || (_cache[50] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        }),
                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).height + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).direction + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clip
                            }, {
                              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[51] || (_cache[51] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          step: 1,
                                          min: 0,
                                          max: 1000,
                                          onChange: _cache[52] || (_cache[52] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue"])
                                      ]),
                                      _: 1 /* STABLE */
                                    }),
                                    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha,
                                          "onUpdate:modelValue": _cache[53] || (_cache[53] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).bodyDissectionAlpha) = $event)),
                                          min: 0,
                                          max: 1000,
                                          step: 1,
                                          "controls-position": "right",
                                          onChange: _cache[54] || (_cache[54] = $event => (paramsChanged('bodyDissectionAlpha')))
                                        }, null, 8 /* PROPS */, ["modelValue"])
                                      ]),
                                      _: 1 /* STABLE */
                                    })
                                  ]),
                                  _: 1 /* STABLE */
                                })
                              ]),
                              _: 1 /* STABLE */
                            }, 8 /* PROPS */, ["label"])
                          ]),
                          _: 1 /* STABLE */
                        })
                      ], 64 /* STABLE_FRAGMENT */))
                    : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true)
                ]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["label-width"])
            ]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["title"])
        ]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["model-value"]), [
        [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showSlicingSetting)]
      ])
    ])
  ], 2 /* CLASS */)), [
    [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showWindySlicing)]
  ])
}
}

}));
;// CONCATENATED MODULE: ./src/webgl/windyslicing/WindySlicing.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/windyslicing/WindySlicing.vue



const __exports__ = WindySlicingvue_type_script_setup_true_lang_js;

/* harmony default export */ var WindySlicing = (__exports__);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_ = __webpack_require__(7997);
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_);
;// CONCATENATED MODULE: ./src/webgl/windyslicing/index.js
/*
 * @Author: zqp
 * @Date: 2025-04-01 14:33:01
 * @LastEditors: zqp
 * @LastEditTime: 2025-04-02 11:34:14
 */




WindySlicing.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(WindySlicing.name, WindySlicing);
};



}();
/******/ 	return __webpack_exports__;
/******/ })()
;
});